version: 1
name: Old way, full kernel validation for the linux-5.10.y branch
description: Old way, Build and test linux kernel with every toolchain
jobs:
- name: arm-clang
  builds:
    - build_name: clang-lkftconfig
      target_arch: arm
      toolchain: clang-19
      make_variables:
        LLVM: 1
        LLVM_IAS: 0
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_KFENCE=n
- name: arm-gcc
  builds:
    - build_name: gcc-12-lkftconfig
      target_arch: arm
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_KFENCE=n
- name: arm-gcc-debug
  builds:
    - build_name: gcc-12-lkftconfig-debug
      target_arch: arm
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_DEBUG_ATOMIC_SLEEP=y
        - CONFIG_DEBUG_INFO=y
        - CONFIG_DEBUG_PREEMPT=y
        - CONFIG_DEBUG_VM=y
        - CONFIG_KFENCE=n
- name: arm-gcc-debug-kmemleak
  builds:
    - build_name: gcc-12-lkftconfig-debug-kmemleak
      target_arch: arm
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_DEBUG_KMEMLEAK=y
        - CONFIG_KFENCE=n
- name: arm-gcc-kasan
  builds:
    - build_name: gcc-12-lkftconfig-kasan
      target_arch: arm
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_KASAN=y
        - CONFIG_FTRACE=n
        - CONFIG_KPROBES=n
        - CONFIG_KFENCE=n
- name: arm-gcc-kselftest
  builds:
    - build_name: gcc-12-lkftconfig-kselftest
      target_arch: arm
      toolchain: gcc-12
      targets: ["debugkernel", "dtbs", "dtbs-legacy", "headers", "kernel", "kselftest", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - make:kselftest-merge
        - CONFIG_KFENCE=n
- name: arm-gcc-kselftest-kernel
  builds:
    - build_name: gcc-12-lkftconfig-kselftest-kernel
      target_arch: arm
      toolchain: gcc-12
      targets: ["debugkernel", "dtbs", "dtbs-legacy", "headers", "kernel", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - make:kselftest-merge
        - CONFIG_KFENCE=n
- name: arm-gcc-kunit
  builds:
    - build_name: gcc-12-lkftconfig-kunit
      target_arch: arm
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_KASAN=y
        - CONFIG_KUNIT=y
        - CONFIG_KUNIT_ALL_TESTS=y
        - CONFIG_KFENCE=n
- name: arm-gcc-libgpiod
  builds:
    - build_name: gcc-12-lkftconfig-libgpiod
      target_arch: arm
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_GPIOLIB=y
        - CONFIG_GPIO_CDEV=y
        - CONFIG_GPIO_MOCKUP=m
        - CONFIG_KFENCE=n
- name: arm-gcc-perf
  builds:
    - build_name: gcc-12-lkftconfig-perf
      target_arch: arm
      toolchain: gcc-12
      targets: ["debugkernel", "dtbs", "dtbs-legacy", "headers", "kernel", "modules", "perf"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_FTRACE_SYSCALLS=y
        - CONFIG_KFENCE=n
- name: arm-gcc-perf-kernel
  builds:
    - build_name: gcc-12-lkftconfig-perf-kernel
      target_arch: arm
      toolchain: gcc-12
      targets: ["debugkernel", "dtbs", "dtbs-legacy", "headers", "kernel", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_FTRACE_SYSCALLS=y
        - CONFIG_KFENCE=n
- name: arm-gcc-preemption-lowlatency
  builds:
    - build_name: gcc-12-lkftconfig-preemption-lowlatency
      target_arch: arm
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_CPU_FREQ=n
        - CONFIG_KFENCE=n
- name: arm-gcc-preemption-preempt-none
  builds:
    - build_name: gcc-12-lkftconfig-preemption-preempt-none
      target_arch: arm
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_PREEMPT_NONE=y
        - CONFIG_CPU_FREQ=n
        - CONFIG_KFENCE=n
- name: arm-gcc-preemption-rt
  builds:
    - build_name: gcc-12-lkftconfig-preemption-rt
      target_arch: arm
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_KVM=n  # >= v5.10
        - CONFIG_PREEMPT_RT=y
        - CONFIG_PREEMPT_RT_FULL=y  # <= v4.19
        - CONFIG_CPU_FREQ=n
        - CONFIG_KFENCE=n
- name: arm-gcc-preemption-voluntary
  builds:
    - build_name: gcc-12-lkftconfig-preemption-voluntary
      target_arch: arm
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_PREEMPT_VOLUNTARY=y
        - CONFIG_CPU_FREQ=n
        - CONFIG_KFENCE=n
- name: arm-gcc-rcutorture
  builds:
    - build_name: gcc-12-lkftconfig-rcutorture
      target_arch: arm
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM_TI_CPUFREQ=y
        - CONFIG_SERIAL_8250_OMAP=y
        - CONFIG_POSIX_MQUEUE=y
        - CONFIG_OF=y
        - CONFIG_RCU_TORTURE_TEST=m
        - CONFIG_KFENCE=n
# arm64
- name: arm64-clang
  builds:
    - build_name: clang-lkftconfig
      target_arch: arm64
      toolchain: clang-19
      make_variables:
        LLVM: 1
        LLVM_IAS: 1
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
- name: arm64-gcc
  builds:
    - build_name: gcc-12-lkftconfig
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
- name: arm64-gcc-64k_page_size
  builds:
    - build_name: gcc-12-lkftconfig-64k_page_size
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_ARM64_64K_PAGES=y
- name: arm64-gcc-armv8-features
  builds:
    - build_name: gcc-12-lkftconfig-armv8_features
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_ARM64_RAS_EXTN=y
        - CONFIG_ARM64_PMEM=y
        - CONFIG_ARM64_CNP=y
        - CONFIG_ARM64_SW_TTBR0_PAN=y
- name: arm64-gcc-debug
  builds:
    - build_name: gcc-12-lkftconfig-debug
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_DEBUG_ATOMIC_SLEEP=y
        - CONFIG_DEBUG_INFO=y
        - CONFIG_DEBUG_PREEMPT=y
        - CONFIG_DEBUG_VM=y
- name: arm64-gcc-debug-kmemleak
  builds:
    - build_name: gcc-12-lkftconfig-debug-kmemleak
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_DEBUG_KMEMLEAK=y
- name: arm64-gcc-kasan
  builds:
    - build_name: gcc-12-lkftconfig-kasan
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_KASAN=y
- name: arm64-gcc-kselftest
  builds:
    - build_name: gcc-12-lkftconfig-kselftest
      target_arch: arm64
      toolchain: gcc-12
      targets: ["debugkernel", "dtbs", "dtbs-legacy", "headers", "kernel", "kselftest", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - make:kselftest-merge
- name: arm64-gcc-kselftest-kernel
  builds:
    - build_name: gcc-12-lkftconfig-kselftest-kernel
      target_arch: arm64
      toolchain: gcc-12
      targets: ["debugkernel", "dtbs", "dtbs-legacy", "headers", "kernel", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - make:kselftest-merge
- name: arm64-gcc-kunit
  builds:
    - build_name: gcc-12-lkftconfig-kunit
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_KASAN=y
        - CONFIG_KUNIT=y
        - CONFIG_KUNIT_ALL_TESTS=y
- name: arm64-gcc-libgpiod
  builds:
    - build_name: gcc-12-lkftconfig-libgpiod
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_GPIOLIB=y
        - CONFIG_GPIO_CDEV=y
        - CONFIG_GPIO_MOCKUP=m
- name: arm64-gcc-perf
  builds:
    - build_name: gcc-12-lkftconfig-perf
      target_arch: arm64
      toolchain: gcc-12
      targets: ["debugkernel", "dtbs", "dtbs-legacy", "headers", "kernel", "modules", "perf"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_FTRACE_SYSCALLS=y
- name: arm64-gcc-perf-kernel
  builds:
    - build_name: gcc-12-lkftconfig-perf-kernel
      target_arch: arm64
      toolchain: gcc-12
      targets: ["debugkernel", "dtbs", "dtbs-legacy", "headers", "kernel", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_FTRACE_SYSCALLS=y
- name: arm64-gcc-preemption-lowlatency
  builds:
    - build_name: gcc-12-lkftconfig-preemption-lowlatency
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_CPU_FREQ=n
- name: arm64-gcc-preemption-preempt-none
  builds:
    - build_name: gcc-12-lkftconfig-preemption-preempt-none
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_PREEMPT_NONE=y
        - CONFIG_CPU_FREQ=n
- name: arm64-gcc-preemption-rt
  builds:
    - build_name: gcc-12-lkftconfig-preemption-rt
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_KVM=n  # >= v5.10
        - CONFIG_PREEMPT_RT=y
        - CONFIG_PREEMPT_RT_FULL=y  # <= v4.19
        - CONFIG_CPU_FREQ=n
- name: arm64-gcc-preemption-voluntary
  builds:
    - build_name: gcc-12-lkftconfig-preemption-voluntary
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_PREEMPT_VOLUNTARY=y
        - CONFIG_CPU_FREQ=n
- name: arm64-gcc-rcutorture
  builds:
    - build_name: gcc-12-lkftconfig-rcutorture
      target_arch: arm64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_ARM64_MODULE_PLTS=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_SCHEDSTATS=y
        - CONFIG_RCU_TORTURE_TEST=m
# i386
- name: i386-clang
  builds:
    - build_name: clang-lkftconfig
      target_arch: i386
      toolchain: clang-19
      make_variables:
        LLVM: 1
        LLVM_IAS: 1
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
- name: i386-gcc
  builds:
    - build_name: gcc-12-lkftconfig
      target_arch: i386
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
- name: i386-gcc-debug
  builds:
    - build_name: gcc-12-lkftconfig-debug
      target_arch: i386
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_DEBUG_ATOMIC_SLEEP=y
        - CONFIG_DEBUG_INFO=y
        - CONFIG_DEBUG_PREEMPT=y
        - CONFIG_DEBUG_VM=y
- name: i386-gcc-debug-kmemleak
  builds:
    - build_name: gcc-12-lkftconfig-debug-kmemleak
      target_arch: i386
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_DEBUG_KMEMLEAK=y
- name: i386-gcc-kselftest
  builds:
    - build_name: gcc-12-lkftconfig-kselftest
      target_arch: i386
      toolchain: gcc-12
      targets: ["debugkernel", "cpupower", "headers", "kernel", "kselftest", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - make:kselftest-merge
- name: i386-gcc-kselftest-kernel
  builds:
    - build_name: gcc-12-lkftconfig-kselftest-kernel
      target_arch: i386
      toolchain: gcc-12
      targets: ["debugkernel", "cpupower", "headers", "kernel", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - make:kselftest-merge
- name: i386-gcc-kunit
  builds:
    - build_name: gcc-12-lkftconfig-kunit
      target_arch: i386
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_KASAN=y
        - CONFIG_KUNIT=y
        - CONFIG_KUNIT_ALL_TESTS=y
- name: i386-gcc-libgpiod
  builds:
    - build_name: gcc-12-lkftconfig-libgpiod
      target_arch: i386
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_GPIOLIB=y
        - CONFIG_GPIO_CDEV=y
        - CONFIG_GPIO_MOCKUP=m
- name: i386-gcc-preemption-lowlatency
  builds:
    - build_name: gcc-12-lkftconfig-preemption-lowlatency
      target_arch: i386
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_CPU_FREQ=n
- name: i386-gcc-preemption-preempt-none
  builds:
    - build_name: gcc-12-lkftconfig-preemption-preempt-none
      target_arch: i386
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_PREEMPT_NONE=y
        - CONFIG_CPU_FREQ=n
- name: i386-gcc-preemption-rt
  builds:
    - build_name: gcc-12-lkftconfig-preemption-rt
      target_arch: i386
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_PREEMPT_RT=y
        - CONFIG_PREEMPT_RT_FULL=y  # <= v4.19
        - CONFIG_SCHED_MC_PRIO=n
        - CONFIG_CPU_FREQ=n
- name: i386-gcc-preemption-voluntary
  builds:
    - build_name: gcc-12-lkftconfig-preemption-voluntary
      target_arch: i386
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_PREEMPT_VOLUNTARY=y
        - CONFIG_CPU_FREQ=n
- name: i386-gcc-perf
  builds:
    - build_name: gcc-12-lkftconfig-perf
      target_arch: i386
      toolchain: gcc-12
      targets: ["debugkernel", "headers", "kernel", "modules", "perf"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_FTRACE_SYSCALLS=y
- name: i386-gcc-perf-kernel
  builds:
    - build_name: gcc-12-lkftconfig-perf-kernel
      target_arch: i386
      toolchain: gcc-12
      targets: ["debugkernel", "headers", "kernel", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_FTRACE_SYSCALLS=y
- name: i386-gcc-rcutorture
  builds:
    - build_name: gcc-12-lkftconfig-rcutorture
      target_arch: i386
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_RCU_TORTURE_TEST=m
# x86_64
- name: x86-clang
  builds:
    - build_name: clang-lkftconfig
      target_arch: x86_64
      toolchain: clang-19
      make_variables:
        LLVM: 1
        LLVM_IAS: 1
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
- name: x86-gcc
  builds:
    - build_name: gcc-12-lkftconfig
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
- name: x86-gcc-debug
  builds:
    - build_name: gcc-12-lkftconfig-debug
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_DEBUG_ATOMIC_SLEEP=y
        - CONFIG_DEBUG_INFO=y
        - CONFIG_DEBUG_PREEMPT=y
        - CONFIG_DEBUG_VM=y
- name: x86-gcc-debug-kmemleak
  builds:
    - build_name: gcc-12-lkftconfig-debug-kmemleak
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_DEBUG_KMEMLEAK=y
- name: x86-gcc-kasan
  builds:
    - build_name: gcc-12-lkftconfig-kasan
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_KASAN=y
- name: x86-gcc-kselftest
  builds:
    - build_name: gcc-12-lkftconfig-kselftest
      target_arch: x86_64
      toolchain: gcc-12
      targets: ["debugkernel", "cpupower", "headers", "kernel", "kselftest", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - make:kselftest-merge
- name: x86-gcc-kselftest-kernel
  builds:
    - build_name: gcc-12-lkftconfig-kselftest-kernel
      target_arch: x86_64
      toolchain: gcc-12
      targets: ["debugkernel", "headers", "kernel", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - make:kselftest-merge
- name: x86-gcc-kunit
  builds:
    - build_name: gcc-12-lkftconfig-kunit
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_KASAN=y
        - CONFIG_KUNIT=y
        - CONFIG_KUNIT_ALL_TESTS=y
- name: x86-gcc-libgpiod
  builds:
    - build_name: gcc-12-lkftconfig-libgpiod
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_GPIOLIB=y
        - CONFIG_GPIO_CDEV=y
        - CONFIG_GPIO_MOCKUP=m
- name: x86-gcc-perf
  builds:
    - build_name: gcc-12-lkftconfig-perf
      target_arch: x86_64
      toolchain: gcc-12
      targets: ["debugkernel", "headers", "kernel", "modules", "perf"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_FTRACE_SYSCALLS=y
- name: x86-gcc-perf-kernel
  builds:
    - build_name: gcc-12-lkftconfig-perf-kernel
      target_arch: x86_64
      toolchain: gcc-12
      targets: ["debugkernel", "headers", "kernel", "modules"]
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_FTRACE_SYSCALLS=y
- name: x86-gcc-preemption-lowlatency
  builds:
    - build_name: gcc-12-lkftconfig-preemption-lowlatency
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_CPU_FREQ=n
- name: x86-gcc-preemption-preempt-none
  builds:
    - build_name: gcc-12-lkftconfig-preemption-preempt-none
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_PREEMPT_NONE=y
        - CONFIG_CPU_FREQ=n
- name: x86-gcc-preemption-rt
  builds:
    - build_name: gcc-12-lkftconfig-preemption-rt
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_PREEMPT_RT=y
        - CONFIG_PREEMPT_RT_FULL=y  # <= v4.19
        - CONFIG_SCHED_MC_PRIO=n
        - CONFIG_CPU_FREQ=n
- name: x86-gcc-preemption-voluntary
  builds:
    - build_name: gcc-12-lkftconfig-preemption-voluntary
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_SYN_COOKIES=y
        - CONFIG_NO_HZ=y
        - CONFIG_EXPERT=y
        - CONFIG_PREEMPT_VOLUNTARY=y
        - CONFIG_CPU_FREQ=n
- name: x86-gcc-rcutorture
  builds:
    - build_name: gcc-12-lkftconfig-rcutorture
      target_arch: x86_64
      toolchain: gcc-12
      kconfig:
        - defconfig
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
        - https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config
        - CONFIG_IGB=y
        - CONFIG_UNWINDER_FRAME_POINTER=y
        - CONFIG_RCU_TORTURE_TEST=m
# all archs in different flavours
- name: allmodconfigs
  builds:
    - {target_arch: arm,     toolchain: gcc-8,         kconfig: allmodconfig}
    - {target_arch: arm,     toolchain: gcc-12,        kconfig: allmodconfig}
    - {target_arch: arm,     toolchain: clang-19,      kconfig: allmodconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
    - {target_arch: arm64,   toolchain: gcc-8,         kconfig: allmodconfig}
    - {target_arch: arm64,   toolchain: gcc-12,        kconfig: allmodconfig}
    - {target_arch: arm64,   toolchain: clang-19,      kconfig: allmodconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: i386,    toolchain: gcc-8,         kconfig: allmodconfig}
    - {target_arch: i386,    toolchain: gcc-12,        kconfig: allmodconfig}
    - {target_arch: i386,    toolchain: clang-19,      kconfig: allmodconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: mips,    toolchain: gcc-8,         kconfig: allmodconfig}
    - {target_arch: mips,    toolchain: gcc-12,        kconfig: allmodconfig}
    - {target_arch: powerpc, toolchain: gcc-8,         kconfig: allmodconfig}
    - {target_arch: powerpc, toolchain: gcc-12,        kconfig: allmodconfig}
    - {target_arch: riscv,   toolchain: gcc-8,         kconfig: allmodconfig}
    - {target_arch: riscv,   toolchain: gcc-12,        kconfig: allmodconfig}
    - {target_arch: s390,    toolchain: gcc-8,         kconfig: allmodconfig}
    - {target_arch: s390,    toolchain: gcc-12,        kconfig: allmodconfig}
    - {target_arch: s390,    toolchain: clang-19,      kconfig: allmodconfig, make_variables: {LLVM_IAS: 0}}
    - {target_arch: sparc,   toolchain: gcc-8,         kconfig: allmodconfig}
    - {target_arch: sparc,   toolchain: gcc-11,        kconfig: allmodconfig}
    - {target_arch: x86_64,  toolchain: gcc-8,         kconfig: allmodconfig}
    - {target_arch: x86_64,  toolchain: gcc-12,        kconfig: allmodconfig}
    - {target_arch: x86_64,  toolchain: clang-19,      kconfig: allmodconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
- name: randconfigs
  builds:
    - {target_arch: arm,     toolchain: gcc-8,         kconfig: randconfig}
    - {target_arch: arm,     toolchain: gcc-12,        kconfig: randconfig}
    - {target_arch: arm,     toolchain: clang-19,      kconfig: randconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
    - {target_arch: arm64,   toolchain: gcc-8,         kconfig: randconfig}
    - {target_arch: arm64,   toolchain: gcc-12,        kconfig: randconfig}
    - {target_arch: arm64,   toolchain: clang-19,      kconfig: randconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: i386,    toolchain: gcc-8,         kconfig: randconfig}
    - {target_arch: i386,    toolchain: gcc-12,        kconfig: randconfig}
    - {target_arch: i386,    toolchain: clang-19,      kconfig: randconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: mips,    toolchain: gcc-8,         kconfig: randconfig}
    - {target_arch: mips,    toolchain: gcc-12,        kconfig: randconfig}
    - {target_arch: mips,    toolchain: clang-19,      kconfig: randconfig, make_variables: {LLVM: 1, LLVM_IAS: 0}}
    - {target_arch: parisc,  toolchain: gcc-11,        kconfig: randconfig}
    - {target_arch: powerpc, toolchain: gcc-8,         kconfig: randconfig}
    - {target_arch: powerpc, toolchain: gcc-12,        kconfig: randconfig}
    - {target_arch: powerpc, toolchain: clang-19,      kconfig: randconfig, make_variables: {LLVM: 1, LLVM_IAS: 0, LD: powerpc64le-linux-gnu-ld}}
    - {target_arch: riscv,   toolchain: gcc-8,         kconfig: randconfig}
    - {target_arch: riscv,   toolchain: gcc-12,        kconfig: randconfig}
    - {target_arch: riscv,   toolchain: clang-19,      kconfig: randconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: s390,    toolchain: gcc-8,         kconfig: randconfig}
    - {target_arch: s390,    toolchain: gcc-12,        kconfig: randconfig}
    - {target_arch: s390,    toolchain: clang-19,      kconfig: randconfig, make_variables: {LLVM_IAS: 0}}
    - {target_arch: sh,      toolchain: gcc-8,         kconfig: randconfig}
    - {target_arch: sh,      toolchain: gcc-11,        kconfig: randconfig}
    - {target_arch: sparc,   toolchain: gcc-8,         kconfig: randconfig}
    - {target_arch: sparc,   toolchain: gcc-11,        kconfig: randconfig}
    - {target_arch: x86_64,  toolchain: gcc-8,         kconfig: randconfig}
    - {target_arch: x86_64,  toolchain: gcc-12,        kconfig: randconfig}
    - {target_arch: x86_64,  toolchain: clang-19,      kconfig: randconfig, make_variables: {LLVM: 1, LLVM_IAS: 1}}
# These configurations are expected to fail.
- name: fail
  builds:
    - {target_arch: arm,     toolchain: clang-19,      kconfig: ixp4xx_defconfig,      make_variables: {LLVM: 1, LLVM_IAS: 0}}
    - {target_arch: powerpc, toolchain: clang-19,      kconfig: cell_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: powerpc, toolchain: clang-19,      kconfig: maple_defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 0, LD: powerpc64le-linux-gnu-ld}}
    - {target_arch: powerpc, toolchain: clang-19,      kconfig: ppc64e_defconfig,  make_variables: {LLVM: 1, LLVM_IAS: 0, LD: powerpc64le-linux-gnu-ld}}
